From: Mike Hommey <mh@glandium.org>
Date: Mon, 23 Nov 2009 19:36:21 +0100
Subject: Work around FTBFS on mips by disabling TLS support

https://bugzilla.mozilla.org/show_bug.cgi?id=528687

--- a/configure.in
+++ b/configure.in
@@ -4133,7 +4133,14 @@
                             ac_cv_thread_keyword=no)])
 LDFLAGS=$_SAVE_LDFLAGS
 if test "$ac_cv_thread_keyword" = yes; then
-  AC_DEFINE(HAVE_THREAD_TLS_KEYWORD)
+  case "${target_cpu}" in
+    mips*)
+      :
+      ;;
+    *)
+      AC_DEFINE(HAVE_THREAD_TLS_KEYWORD)
+      ;;
+  esac
 fi
 
 dnl End of C++ language/feature checks
